//
// config.h
//
// lwIP-specific #includes and #defines
//

#ifndef _LWIP_CONFIG_H
#define _LWIP_CONFIG_H

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <time.h>
//#include <ctype.h> // commented JW
#include <lwip/sockets.h>
#include <lwip/inet.h>
//#include <lwip/cglobals.h> // commented JW
#include <lwip/kernel_abs.h>

typedef clock_t			TIME;
typedef int			SOCKET;
typedef struct sockaddr_in	SOCKADDR_IN;
typedef struct sockaddr		SOCKADDR;
typedef struct sockaddr*	PSOCKADDR;
typedef struct in_addr		IN_ADDR;

typedef char*			PCHAR;
typedef char			CHAR;
typedef unsigned char		UCHAR;
typedef unsigned short		USHORT;
typedef unsigned long		ULONG;
typedef unsigned long		DWORD;
typedef unsigned long long 	ULONGLONG;
typedef double			DOUBLE;

typedef int			BOOLEAN;
#undef TRUE
#undef FALSE
#define TRUE			1
#define FALSE			0

#define TTCP_NO_BUFFERS		ENOBUFS
#define SUPPORTS_TCP_NODELAY    0
#define SOCKET_ERROR		-1
#define INVALID_SOCKET		-1

#define TX_WAIT_TIME		1000	// millisec delay before each TCP connect
					// or first UDP send to allow RX set up

#define POINTER_INT		ULONG
#define LLU_FMT			"%llu"

#define TARGET_SPECIFIC_FIELDS	ULONGLONG	m_num_idle_loops;

#define gethostname(b, l)	gethostaddr(0, b)
#define closesocket(fd)		close(fd)
//#define INET_NTOA(sa)		inet_ntoa(sa.s_addr)
#define INET_NTOA(sa)		inet_ntoa(sa)
extern TIME TTCP_start_time;

#endif /* _LWIP_CONFIG_H */

